# Generated by Django 3.2.19 on 2023-12-11 22:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('arch', '0001_initial'),
        ('packages', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Mirror',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(max_length=255, unique=True)),
                ('last_access_ok', models.BooleanField(default=False)),
                ('file_checksum', models.CharField(blank=True, max_length=255, null=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('mirrorlist', models.BooleanField(default=False)),
                ('enabled', models.BooleanField(default=True)),
                ('refresh', models.BooleanField(default=True)),
                ('fail_count', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': 'Mirrors',
            },
        ),
        migrations.CreateModel(
            name='Repository',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('security', models.BooleanField(default=False)),
                ('repotype', models.CharField(choices=[('R', 'rpm'), ('D', 'deb'), ('A', 'arch')], max_length=1)),
                ('enabled', models.BooleanField(default=True)),
                ('repo_id', models.CharField(blank=True, max_length=255, null=True)),
                ('auth_required', models.BooleanField(default=False)),
                ('arch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='arch.machinearchitecture')),
            ],
            options={
                'verbose_name_plural': 'Repositories',
            },
        ),
        migrations.CreateModel(
            name='MirrorPackage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('enabled', models.BooleanField(default=True)),
                ('mirror', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='repos.mirror')),
                ('package', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='packages.package')),
            ],
        ),
        migrations.AddField(
            model_name='mirror',
            name='packages',
            field=models.ManyToManyField(blank=True, through='repos.MirrorPackage', to='packages.Package'),
        ),
        migrations.AddField(
            model_name='mirror',
            name='repo',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='repos.repository'),
        ),
    ]
